<?php
namespace app\model;
use app\model\GoodsCategory;
use think\model\concern\SoftDelete;

class Goods extends \think\Model
{
    protected $schema = [
        'id' => 'int',
        'category_id' => 'int',
        'category_name' => 'string',
        'name' => 'string',
        'price' => 'int',   // 单位分
        'create_time' => 'int',
        'is_del' => 'int'
    ];

    use SoftDelete;
    protected $deleteTime = 'is_del';
    protected $defaultSoftDelete = 0;
}
