<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::pattern([
    'name' => '\w+',
    'key' => '\w+',
    'id'   => '\d+',
    'year'   => '\d+',
    'order_id'   => '\d+',
]);

Route::get('company/index/[:key]', 'company/index');
Route::rule('company/save/:id', 'company/save');
Route::get('seller/index/[:did]', 'seller/index')->pattern(['did'=>'\d+']);
Route::rule('seller/save/:id', 'seller/save');
Route::get('department/index', 'department/index');
Route::get('department/info', 'department/info');
Route::post('department/save', 'department/save');
Route::get('goods_category/index', 'goods_category/index');
Route::get('goods_category/info', 'goods_category/info');
Route::post('goods_category/save', 'goods_category/save');
Route::get('goods/index/[:cid]', 'goods/index')->pattern(['cid'=>'\d+']);
Route::rule('goods/save/:id', 'goods/save');
Route::get('order/index', 'order/index');
Route::get('order/lists/:year', 'order/lists');
Route::rule('order/save/:id', 'order/save');
Route::get('order_item/index/:order_id', 'order_item/index')->pattern(['order_id'=>'\d+']);
